Payments & FinanceBilling
Confirm an embedded billing checkout
POST
/v1/billing/current/checkouts/{sessionId}/confirmConfirm an embedded billing checkout. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sessionId*string
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/billing/current/checkouts/7204558912004325301/confirm" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "token": "replace_with_the_issued_token", "paymentMethodId": "7204558912004325301", "installments": 1, "issuerId": "7204558912004325301", "identificationType": "example", "identificationNumber": "example", "payerEmail": "andrea@example.com", "useSavedPaymentMethod": false }'{ "sessionId": "7204558912004325301", "kind": "planPurchase", "status": "pending", "paymentProvider": "example", "externalResourceUrl": "https://example.com/resource", "qrCode": "example_code", "reference": "example", "expiresAt": "2026-08-01T15:30:00Z"}